/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 24/03/2016 : SCA : V2.2 (PSWS-H2020)
 * creation
 * ----------------------------------------
 */
package fr.tlse.irap.spaceElement;

public class Comet extends SpaceElement {

	private static final long serialVersionUID = 1L;
	private static final int DEFAULT_SIZE = 4;
	private static final String DEFAULT_COLOR = "#FFA500";

	public Comet() {
		super();
	}

	public Comet(String name) {
		super(name);
	}

	/**
	 * Specific constructor
	 * @param name
	 * @param id
	 * @param radius
	 * @param color
	 * @param step
	 * @param dataSize
	 */
	public Comet(String name, int id, int size, String color, int step, int dataSize) {
		super(name, id, size, color, step, dataSize);
	}
	public Comet(String name, String longName, int id, int size, String color, int step, int dataSize) {
		super(name, longName, id, size, color, step, dataSize);
	}

	/**
	 * Specific constructor
	 * @param name
	 * @param id
	 * @param step
	 * @param dataSize
	 */
	public Comet(String name, int id, int step, int dataSize) {
		super(name, id, DEFAULT_SIZE, DEFAULT_COLOR, step, dataSize);
	}

}
